[Stable Update] 2021-09-16 - Kernels, Steam, Pipewire, Firefox, Thunderbird, Pamac, Pacman

A post was merged into an existing topic: Manjaro mirrors not updating

manjaro KDE: after this update… when install a software either using pacman or pamac i can’t find the software in application launcher. try few different laucnher/menu but still the same result. i can only run the software via terminal or launch via pamac gui.

SS_20210917_145209|646x500
octave installed but not appeared

I can’t update because there are 2 dependency errors:

> $ sudo pacman -Syu                                                                                               
:: Synchronizing package databases...                                                                              
 core is up to date                                                                                                
 extra is up to date                                                                                               
 community is up to date                                                                                           
 multilib is up to date                                                                                            
:: Starting full system upgrade...                                                                                 
resolving dependencies...                                                                                          
looking for conflicting packages...                                                                                
error: failed to prepare transaction (could not satisfy dependencies)                                              
:: installing libcap (2.56-1) breaks dependency 'libcap=2.53' required by lib32-libcap                             
:: installing libnsl (2.0.0-1) breaks dependency 'libnsl=1.3.0' required by lib32-libnsl 

Using pamac update I also get the following hint: if possible, remove lib32-libpulse and retry.
Removing lib32-libpulse is obviously not an option, if I want to listen to any audio…

Any suggestions?

A post was merged into an existing topic: Manjaro mirrors not updating

This should be added to the “known issues” list: wget now always outputs “SSL_INIT” to stderr every time it is run. Issue tracked here: GNU Wget - Bugs: bug #61125, Output SSL_INIT to stderr even... [Savannah]

1 Like
  1. uninstall those packages and note which applications need them as they will be uninstalled as well.
  2. upgrade
  3. reinstall the applications that were removed in step 1

:crossed_fingers:

A post was split to a new topic: Converted to Personal Message

A post was split to a new topic: Converted to personal message

Yesterday I got the notification in Pamac system tray that 107 updates were available, then I did refresh mirrors using Pamac and shutdown my laptop. Today I get no notification and Pamac shows everything is up to date !

Thanks, but I don’t think that’s feasible.

libcap is apparently required by systemd, ntp, bind, libpulse, zsh, …
I don’t feel comfortable uninstalling systemd :sweat_smile:
Similar situation with libnsl.

Edit: Apparently, I’m did not get the correct signature file for lib32-libcap and lib32-libnsl

error: failed retrieving file 'lib32-libcap-2.53-1-x86_64.pkg.tar.zst.sig' from manjaro.re : The requested URL returned error: 404

I’ll try the solutions in known issues.
Edit 2: Those didn’t work.
Edit 3: However, I can retrieve the .sig file just fine using my browser: http://manjaro.re/stable/multilib/x86_64/lib32-libcap-2.56-1-x86_64.pkg.tar.zst.sig For some reason pacman still requests .sig files for libcap version 2.53 instead of 2.56 and libnsl 1.3.0.2 instead of 2.0.0.1.

I concur! :sweat_smile:

Have a look at this and then perform a:

sudo pacman-mirrors --country YourCountry,NeighbouringCountry --interactive

and take all the ones that are green and fast and try again.

:crossed_fingers:

2 Likes

This bug (outdated udev rules that disables important features from nvidia cards: audio over hdmi, USB xHCI Host Controller and USB Type-C UCSI devices) is still present (or at least my file /etc/udev/rules.d/90-mhwd-prime-powermanagement.rules has not been updated).
If this is supposed to work only on new installations (but i think that the two usb devices are still not enabled in the last mhwd-db version) then we probably need to add an entry on the “Known issues and solutions” wiki that explain which lines comment/delete from /etc/udev/rules.d/90-mhwd-prime-powermanagement.rules, otherwise everyone who hasn’t a fresh installation from the new iso will keep this bug forever (or add a script in a new update that patches the current installations).
Here is a possible fix that can use in a feature update/add to the issues wiki (use the same command twice again changing 0x40300 to 0x0c0330 and 0x0c8000 if you also want to enable the usb devices of your card).

2 Likes

It went pretty smoothly, and i enjoy the improvements to the ntfs compatibility, being able to actually read filenames in the terminal on a ntfs partition is a huge help.

Pipewire has stopped working well for me after this update. When playing music from VLC (or rather if anything is playing sound) and then something else plays a sound, the audio goes silent until you restart playback. This only seems to happen if I am using Bluetooth headphones, using the speaker sink on my monitor via HDMI works fine.

Sep 18 19:30:42 sherlock pipewire-media-session[1282]: unexpected types 1/1
Sep 18 19:30:42 sherlock pipewire-media-session[1282]: port 0x55e2694b8d90: set_param 4 0x55e2693c4168: Invalid argument
Sep 18 19:30:42 sherlock pipewire[1281]: impl-core 0x563de1e34ea0: error -22 for resource 8: port_set_param(Spa:Enum:ParamId:Format) failed: Invalid argument
Sep 18 19:30:42 sherlock pipewire[1281]: client-node 0x563de22c6010: error seq:25275 -22 (port_set_param(Spa:Enum:ParamId:Format) failed: Invalid argument)
Sep 18 19:30:42 sherlock kwin_x11[1163]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 48123, resource id: 85983704, major code: 15 (QueryTree), minor code: 0
Sep 18 19:31:54 sherlock vlc[8719]: uint DBusMenuExporterDBus::GetLayout(int, int, const QStringList&, DBusMenuLayoutItem&): Condition failed: menu
Sep 18 19:31:54 sherlock vlc[8719]: uint DBusMenuExporterDBus::GetLayout(int, int, const QStringList&, DBusMenuLayoutItem&): Condition failed: menu
Sep 18 19:31:58 sherlock pipewire-pulse[1285]: port 0x564fc0f11270: set_param 4 0x564fc1565f68: Invalid argument
Sep 18 19:31:58 sherlock pipewire[1281]: impl-core 0x563de1e34ea0: error -22 for resource 37: port_set_param(Spa:Enum:ParamId:Format) failed: Invalid argument
Sep 18 19:31:58 sherlock pipewire[1281]: client-node 0x563de200ef70: error seq:27946 -22 (port_set_param(Spa:Enum:ParamId:Format) failed: Invalid argument)
Sep 18 19:31:58 sherlock pipewire-pulse[1285]: port 0x564fc1c8c7b8: use_buffers: -5 Input/output error
Sep 18 19:31:58 sherlock pipewire[1281]: impl-core 0x563de1e34ea0: error -5 for resource 37: port_use_buffers error: Input/output error
Sep 18 19:31:58 sherlock pipewire[1281]: client-node 0x563de200ef70: error seq:27955 -5 (port_use_buffers error: Input/output error)
Sep 18 19:31:58 sherlock pipewire-pulse[1285]: client 0x564fc0f72380 [libcanberra]: ERROR command:18 (PLAY_SAMPLE) tag:70 error:25 (Input/output error)
Sep 18 19:31:58 sherlock pipewire-media-session[1282]: unexpected types 1/1
Sep 18 19:31:58 sherlock pipewire-media-session[1282]: port 0x55e2694b8d90: set_param 4 0x55e2693c4468: Invalid argument
Sep 18 19:31:58 sherlock pipewire[1281]: impl-core 0x563de1e34ea0: error -22 for resource 8: port_set_param(Spa:Enum:ParamId:Format) failed: Invalid argument
Sep 18 19:31:58 sherlock pipewire[1281]: client-node 0x563de22c6010: error seq:25430 -22 (port_set_param(Spa:Enum:ParamId:Format) failed: Invalid argument)
Sep 18 19:31:58 sherlock pipewire[1281]: (bluez_output.70_26_05_E0_46_2B.a2dp-sink-98) idle -> error (error changing node state: Invalid argument)
Sep 18 19:31:59 sherlock pipewire-pulse[1285]: client 0x564fc0f72380 [libcanberra]: ERROR command:18 (PLAY_SAMPLE) tag:72 error:25 (Input/output error)
Sep 18 19:31:59 sherlock pipewire[1281]: link 0x563de1f3fd90: one of the nodes is in error out:suspended in:error
Sep 18 19:31:59 sherlock pipewire[1281]: link 0x563de1ebf440: one of the nodes is in error out:suspended in:error
Sep 18 19:31:59 sherlock pipewire-pulse[1285]: client 0x564fc0f72380 [libcanberra]: ERROR command:18 (PLAY_SAMPLE) tag:74 error:25 (Input/output error)
Sep 18 19:31:59 sherlock pipewire[1281]: link 0x563de1ebf3a0: one of the nodes is in error out:suspended in:error
Sep 18 19:31:59 sherlock pipewire[1281]: link 0x563de1ec8cc0: one of the nodes is in error out:suspended in:error
Sep 18 19:31:59 sherlock pipewire-pulse[1285]: client 0x564fc0f72380 [libcanberra]: ERROR command:18 (PLAY_SAMPLE) tag:76 error:25 (Input/output error)
Sep 18 19:31:59 sherlock pipewire[1281]: link 0x563de1ebf350: one of the nodes is in error out:suspended in:error
Sep 18 19:31:59 sherlock pipewire[1281]: link 0x563de1ec8c20: one of the nodes is in error out:suspended in:error
Sep 18 19:31:59 sherlock pipewire-pulse[1285]: client 0x564fc0f72380 [libcanberra]: ERROR command:18 (PLAY_SAMPLE) tag:78 error:25 (Input/output error)
Sep 18 19:31:59 sherlock pipewire[1281]: link 0x563de1ebf350: one of the nodes is in error out:suspended in:error
Sep 18 19:31:59 sherlock pipewire[1281]: link 0x563de1ec8c20: one of the nodes is in error out:suspended in:error
Sep 18 19:32:00 sherlock pipewire-pulse[1285]: client 0x564fc0f72380 [libcanberra]: ERROR command:18 (PLAY_SAMPLE) tag:80 error:25 (Input/output error)
Sep 18 19:32:00 sherlock pipewire[1281]: link 0x563de1ebf350: one of the nodes is in error out:suspended in:error
Sep 18 19:32:00 sherlock pipewire[1281]: link 0x563de299f960: one of the nodes is in error out:suspended in:error
Sep 18 19:32:01 sherlock pipewire-pulse[1285]: client 0x564fc0f72380 [libcanberra]: ERROR command:18 (PLAY_SAMPLE) tag:82 error:25 (Input/output error)

A post was split to a new topic: Converted to personal Message

A post was split to a new topic: Qjackctl crash after last u^pdate

2 posts were split to a new topic: Sound stopped working after last update on XFCE

Just updated and for me OBS stopped seeing input audio devices.

Opened another thread:
https://forum.manjaro.org/t/obs-stopped-recognizing-input-audio-devices-after-sep-16-stable-update/83305

Hi, since the update I am facing delay with Thunar (file explorer in XFCE). Most of the times it starts with delay of several seconds, or it does not start at all. When starting from CLI, I get this message:

Failed to register: Zeitüberschreitung wurde erreicht
(should translate to: Failed to register: time limit was reached)

Before the update I did not have any issues at all. Any idea anyone?

After this update, firefox on sway becomes very unresponsive. Almost every buttons on the top bar except the tabs switcher don’t do anything when clicked. Pages are slow although the application still consume normal amount of RAM.

This issue is not observed in firefox when run on gnome 41.

I think this may have something to do with the updated matcha-gtk-theme.
Update: This issue is already reported here.